import java.util.Scanner;

class trikampiai
{
	public static void main(String[] args) 
	{
		Scanner s = new Scanner(System.in);

		System.out.print("n: ");


		int n = s.nextInt();
		Tri[] arr = new Tri[n];

		System.out.println("coords:");

		for (int i = 0; i < n; i++) 
			{
				System.out.println(i+1 + " Trikampio koordinates");
				int x1 = s.nextInt();
				int y1 = s.nextInt();

				int x2 = s.nextInt();
				int y2 = s.nextInt();

				int x3 = s.nextInt();
				int y3 = s.nextInt();

				Pt a = new Pt(x1, y1);
				Pt b = new Pt(x2, y2);
				Pt c = new Pt(x3, y3);

				arr[i] = new Tri(a, b, c);
			}

		arr = sort(arr);

		System.out.println("sorted:");
		for (Tri t : arr) {
			System.out.println(t);
		}
	}


	private static Tri[] sort(Tri[] arr)
	{
		for (int i = 0; i < arr.length - 1; i++) {

			int min = i;
			for (int j = i + 1; j < arr.length; j++) {
				if (arr[j].getArea() < arr[min].getArea()) {
					min = j;
				}
			}

			Tri t = arr[i];
			arr[i] = arr[min];
			arr[min] = t;
		}

		return arr;
	}


	private static class Pt
	{
		public Pt(int x, int y)
		{
			this.x = x;
			this.y = y;
		}

		public int getX()
		{
			return x;
		}

		public int getY()
		{
			return y;
		}

		public String toString()
		{
			return "(" + x + ", " + y + ")";
		}

		private int x;
		private int y;
	}


	private static class Tri
	{
		public Tri(Pt a, Pt b, Pt c)
		{
			this.a = a;
			this.b = b;
			this.c = c;
		}

		public Pt getA()
		{
			return a;
		}

		public Pt getB()
		{
			return b;
		}

		public Pt getC()
		{
			return c;
		}

		public double getArea()
		{
			if (area < 0) {
				Pt ba = new Pt(a.getX() - b.getX(), a.getY() - b.getY());
				Pt bc = new Pt(c.getX() - b.getX(), c.getY() - b.getY());
				double cross = ba.getX() * bc.getY() - ba.getY() * bc.getX();
				area = Math.abs(cross) / 2;
			}

			return area;
		}

		public String toString()
		{
			return a + ", " + b + ", " + c;
		}

		private Pt a;
		private Pt b;
		private Pt c;

		private double area = -1;
	}
}
